Solid Edge Framework Type Library
SetRotationAxis Method
'X' coordinate of Start Point of Rotation axis.
'Y' coordinate of Start Point of Rotation axis.
'Z' coordinate of Start Point of Rotation axis.
'X' coordinate to define the direction of the axis.
'Y' coordinate to define the direction of the axis.
'Z' coordinate to define the direction of the axis.
Description
Set the rotation focus about an explicit axis where X, Y, and Z define a point in top level model coordinates and NX, NY, and NZ define the direction of the axis in the top level model.
Syntax
Visual Basic
Public Sub SetRotationAxis( _
   ByVal dPointX As Double, _
   ByVal dPointY As Double, _
   ByVal dPointZ As Double, _
   ByVal dDirectionX As Double, _
   ByVal dDirectionY As Double, _
   ByVal dDirectionZ As Double _
) 
Parameters
dPointX
'X' coordinate of Start Point of Rotation axis.
dPointY
'Y' coordinate of Start Point of Rotation axis.
dPointZ
'Z' coordinate of Start Point of Rotation axis.
dDirectionX
'X' coordinate to define the direction of the axis.
dDirectionY
'Y' coordinate to define the direction of the axis.
dDirectionZ
'Z' coordinate to define the direction of the axis.
Example
Private Sub SetRotationAxis_Click(sender As Object, e As EventArgs) Handles SetRotationAxis.Click
    Dim objApplication As SolidEdgeFramework.Application = Nothing
    Dim objView As SolidEdgeFramework.View = Nothing
    Dim objCurWindow As SolidEdgeFramework.Window
    Dim objX, objY, objZ As Double
    Dim objNX, objNY, objNZ As Double
  
    
        Try
            objApplication = Marshal.GetActiveObject("SolidEdge.Application")
            objCurWindow = objApplication.ActiveWindow
            'Assigning values to variables
            objView = objCurWindow.View
            objX = 0
            objY = 0
            objZ = 0
            objNX = 0
            objNY = -1
            objNZ = 0
            'Set Rotation Axis
            objView.SetRotationAxis(objX, objY, objZ, objNX, objNY, objNZ)
        Catch ex As Exception
            MsgBox(ex.ToString)
        End Try
End Sub
See Also

View Object  | View Members  | Solid Edge ST4 - What's New